package com.dayou.service;
import com.dayou.entity.ReportSection;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 报告段落模板 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-08-25
 */
public interface IReportSectionService extends IService<ReportSection> {

        Page<ReportSection> selectPage(Page page,ReportSection reportSection);

        ReportSection detail(Long id);

        Boolean add(ReportSection reportSection);

        Boolean update(ReportSection reportSection);

        Boolean delete(Long id);

}
